<?php 
/**
 * Homestay functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Homestay
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function homestay_setuptheme(){

	load_theme_textdomain( 'homestay', get_stylesheet_directory() . '/languages' );

	add_image_size( 'homestay-collection', 383, 383, true );
	add_image_size( 'homestay-offer', 247, 253, true );
}
add_action( 'after_setup_theme', 'homestay_setuptheme' );

function homestay_enqueue_assets() {
	$my_theme = wp_get_theme();
	$version  = $my_theme['Version'];

	wp_enqueue_style( 'hotell', get_template_directory_uri() . '/style.css' );
	wp_enqueue_script( 'homestay-child-custom', get_stylesheet_directory_uri() . '/assets/js/child-custom.js', array('jquery'), $version, true );
}
add_action( 'wp_enqueue_scripts', 'homestay_enqueue_assets' );


/**
* Customizer settings
*/ 	
require get_stylesheet_directory() . '/inc/customizer.php';

/**
* Extra Functions
*/
require get_stylesheet_directory() . '/inc/extra-functions.php';