<?php 

/**
 * Information links.
 * 
 * It's a pluggable function inherited from parent theme
*/
function hotell_customizer_theme_info( $wp_customize ) {

	$wp_customize->add_section(
		'theme_info',
		array(
			'title'    => __( 'Information Links', 'homestay' ),
			'priority' => 6,
		)
	);

	/** Important Links */
	$wp_customize->add_setting(
		'theme_info_theme',
		array(
			'default'           => '',
			'sanitize_callback' => 'wp_kses_post',
		)
	);

	$theme_info  = '<ul>';
	$theme_info .= sprintf( __( '<li>View demo: %1$sClick here.%2$s</li>', 'homestay' ), '<a href="' . esc_url( 'https://glthemes.com/live-demo/?theme=homestay' ) . '" target="_blank">', '</a>' );
	$theme_info .= sprintf( __( '<li>View documentation: %1$sClick here.%2$s</li>', 'homestay' ), '<a href="' . esc_url( 'https://glthemes.com/documentation/resort-one/' ) . '" target="_blank">', '</a>' );
	$theme_info .= sprintf( __( '<li>Theme info: %1$sClick here.%2$s</li>', 'homestay' ), '<a href="' . esc_url( 'https://glthemes.com/wordpress-themes/homestay/' ) . '" target="_blank">', '</a>' );
	$theme_info .= sprintf( __( '<li>Support ticket: %1$sClick here.%2$s</li>', 'homestay' ), '<a href="' . esc_url( 'https://glthemes.com/support/' ) . '" target="_blank">', '</a>' );
	$theme_info .= sprintf( __( '<li>More WordPress Themes: %1$sClick here.%2$s</li>', 'homestay' ), '<a href="' . esc_url( 'https://glthemes.com/wordpress-theme/' ) . '" target="_blank">', '</a>' );
	$theme_info .= sprintf( __( '<li>Go Premium: %1$sClick here.%2$s</li>', 'homestay' ), '<a href="' . esc_url( 'https://glthemes.com/wordpress-theme/hotell-pro/' ) . '" target="_blank">', '</a>' );
	$theme_info .= '</ul>';

	$wp_customize->add_control(
		new Hotell_Note_Control(
			$wp_customize,
			'theme_info_theme',
			array(
				'label'       => __( 'Important Links', 'homestay' ),
				'section'     => 'theme_info',
				'description' => $theme_info,
			)
		)
	);
}

function hotell_customize_register_general_header( $wp_customize ) {  
    
    // Offer Section
     $wp_customize->add_section( 
        'offer_settings',
        array(
            'title'    => __( 'Offer Section', 'homestay' ),
            'panel'    => 'frontpage_settings',
            'priority' => 20,
        )
    );     
    //Offer Toggle
    $wp_customize->add_setting(
        'offer_toggle',
        array(
            'default'           => false,
            'sanitize_callback' => 'hotell_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
        new Hotell_Toggle_Control( 
            $wp_customize,
            'offer_toggle',
            array(
                'section'       => 'offer_settings',
                'label'         => __( 'Enable Offer Section', 'homestay' ),
            )
        )
    );  

    // Offer Repeater
    $wp_customize->add_setting( 
        new Hotell_Repeater_Setting( 
            $wp_customize, 
            'offer-repeater', 
            array(
                'default' => '',
                'sanitize_callback' => array( 'Hotell_Repeater_Setting', 'sanitize_repeater_setting' ),
            ) 
        ) 
    );

    $wp_customize->add_control(
		new Hotell_Control_Repeater(
			$wp_customize,
			'offer-repeater',
			array(
				'section' => 'offer_settings',				
				'label'	  => __( 'Offer', 'homestay' ),
				'fields'  => array(
                    'offer_img' => array(
                        'type'    => 'image',
                        'label'   => __( 'Select Image', 'homestay' ),
					),
                    'offer_discount' => array(
                        'type'    => 'text',
                        'label'   => __( 'Discount', 'homestay' ),
					),
                    'offer_suffix' => array(
                        'type'    => 'text',
                        'label'   => __( 'Suffix', 'homestay' ),
					),
                    'offer_title' => array(
                        'type'        => 'text',
                        'label'       => esc_html__( 'Offer Title', 'homestay' ),
                    ),
                    'offer_description' => array(
                        'type'        => 'textarea',
                        'label'       => esc_html__( 'Offer Description', 'homestay' ),
                    ),
                    'offer_btn_text' => array(
                        'type'        => 'text',
                        'label'       => esc_html__( 'Button Text', 'homestay' ),
                    ),
                    'offer_btn_link' => array(
                        'type'        => 'url',
                        'label'       => esc_html__( 'Button Link', 'homestay' ),
                    ),
                ),
                'row_label' => array(
                    'type' => 'field',
                    'value' => __( 'offer', 'homestay' ),
                    'field' => 'link',
                ),
                'choices'   => array(
                    'limit' => 2
                ),                         
			)
		)
	);
    /** Header Settings */
    $wp_customize->add_section(
        'header_settings',
        array(
            'title'    => __( 'Header Settings', 'homestay' ),
            'priority' => 20,
            'panel'    => 'general_settings',
        )
    );

    /** Location  */
    $wp_customize->add_setting(
        'header_location',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        ) 
    );

    $wp_customize->add_control(
        'header_location',
        array(
            'label'       => __( 'Location', 'homestay' ),
            'section'     => 'header_settings',
            'type'        => 'text',
        )
    );

    /** Telephone  */
    $wp_customize->add_setting(
        'header_tel',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        ) 
    );

    $wp_customize->add_control(
        'header_tel',
        array(
            'label'       => __( 'Telephone', 'homestay' ),
            'section'     => 'header_settings',
            'type'        => 'text',
        )
    );

    /** Email */
    $wp_customize->add_setting(
        'email',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_email',
        )
    );

    $wp_customize->add_control(
        'email',
        array(
            'label'       => __( 'Email', 'homestay' ),
            'description' => __( 'Add email in header.', 'homestay' ),
            'section'     => 'header_settings',
            'type'        => 'text',
        )
    );

    $wp_customize->add_setting(
        'header_btn_lbl',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'header_btn_lbl',
        array(
            'label'             => __( 'Top Header Button Label', 'homestay' ),
            'section'           => 'header_settings',
            'type'              => 'text',
        )
    );

    $wp_customize->add_setting(
        'header_btn_link',
        array(
            'default'           => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    
    $wp_customize->add_control(
        'header_btn_link',
        array(
            'label'           => __( 'Top Header Button Link', 'homestay' ),
            'section'         => 'header_settings',
            'type'            => 'url',
        )
    );

    $wp_customize->add_setting(
        'header_new_tab',
        array(
            'default'           => false,
            'sanitize_callback' => 'hotell_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
		new Hotell_Toggle_Control( 
			$wp_customize,
			'header_new_tab',
			array(
				'section'         => 'header_settings',
				'label'           => __( 'Show link in a new tab', 'homestay' ),
			)
		)
    );

    // Banner Section Rating 
    $wp_customize->add_setting(
        'rating_count',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'rating_count',
        array(
            'label'           => __( 'Rating Count', 'homestay' ),
            'section'         => 'header_image',
            'type'            => 'text',
        )
    );
    // Banner Section Rating Text
    $wp_customize->add_setting(
        'rating_text',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'rating_text',
        array(
            'label'           => __( 'Rating Text', 'homestay' ),
            'section'         => 'header_image',
            'type'            => 'text',
        )
    );
    // Banner Section Rating Image Uplaoder
    $wp_customize->add_setting(
        'rating_image',
        array(
            'default'           => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'rating_image',
            array(
                'label'           => __( 'Upload Image', 'homestay' ),
                'section'         => 'header_image',
            )
        )
    );
}

function homestay_customizer_controls( $wp_customize ){

    $wp_customize->add_setting(
		'gallery_select_six',
		array(
			'default'			=> '',
			'sanitize_callback' => 'hotell_sanitize_select'
		)
	);

	$wp_customize->add_control(
        'gallery_select_six',
        array(
            'label'	      => __( 'Gallery Select Six', 'homestay' ),
            'section'     => 'gallery_section',
            'type'        => 'select',
            'choices'     => hotell_get_posts(),
        )            
	);

      //Changing the Piorities
    $wp_customize->get_section( 'footer_top_section' )->priority = 11;
    $wp_customize->get_section( 'blog_sec_home' )->priority      = 26;
    $wp_customize->get_section( 'cta_section' )-> priority       = 25;
    $wp_customize->get_section( 'gallery_section' )->priority    = 100;
    
        // Changing/adding default values
    $wp_customize->get_section( 'footer_top_section' )->title = __( 'Why book with us', 'homestay' );
    $wp_customize->get_control( 'ed_footer_section' )->label  = esc_html__( 'Enable Why Us Section', 'homestay' );
    $wp_customize->get_control( 'about_subtitle' )->label     = esc_html__( 'Section Subtitle', 'homestay' );

          //Adding the Default values For the Banner
    $wp_customize->get_setting( 'banner_title' )->default         = esc_html__( 'Discover the warmth of a home away from home.', 'homestay' );
    $wp_customize->get_setting( 'slider_readmore' )->default      = esc_html__( "Explore Us", "homestay" );
    $wp_customize->get_setting( 'banner_readmore_link' )->default = "#";
    $wp_customize->get_setting( 'slider_btn_lbl' )->default       = esc_html__( "Learn More", "homestay" );
    $wp_customize->get_setting( 'slider_btn_link' )->default      = "#";

    
    //Removing all the settings and controls 
    $wp_customize->remove_control('banner_caption_overlay');  // Removing the Overlay toggle button
    $wp_customize->remove_setting('banner_caption_overlay');
    $wp_customize->remove_control('blog_btn_lbl');  // Removing the readmore button fromt he blog
    $wp_customize->remove_setting('blog_btn_lbl');
    $wp_customize->remove_control( 'banner_subtitle' );  // Removing the banner subtitle 
    $wp_customize->remove_setting( 'banner_subtitle' );
    $wp_customize->remove_control( 'blog_content' );
    $wp_customize->remove_setting( 'blog_content' );
    $wp_customize->remove_setting( 'gallery_content' );
    $wp_customize->remove_control( 'gallery_content' );
}
add_action( 'customize_register','homestay_customizer_controls',999 );

