<?php
/**
 * Gallery Section
 * @package HomeStay
 */

$ed_section         = get_theme_mod( 'ed_gallery_section', false );
$gallery_subtitle   = get_theme_mod( 'gallery_subtitle', esc_html__( 'OUR COLLECTION', 'homestay' ) );
$gallery_title      = get_theme_mod( 'gallery_title', esc_html__( 'Our Featured Gallery', 'homestay' ) );
$gallery_content    = get_theme_mod( 'gallery_content' );
$gallery_one        = get_theme_mod( 'gallery_select_one' );
$gallery_two        = get_theme_mod( 'gallery_select_two' );
$gallery_three      = get_theme_mod( 'gallery_select_three' );
$gallery_four       = get_theme_mod( 'gallery_select_four' );
$gallery_five       = get_theme_mod( 'gallery_select_five' );
$gallery_six        = get_theme_mod( 'gallery_select_six' );

if( $ed_section && ( $gallery_subtitle || $gallery_title || $gallery_content || $gallery_one || $gallery_two || $gallery_three || $gallery_four || $gallery_five ) ) { ?>
    <section class="gallery-archive gallery-main section-padding" id="gallery-section">
        <div class="container">
            <?php hotell_section_header( $gallery_title, $gallery_subtitle, $gallery_content );
                if( $gallery_one || $gallery_two || $gallery_three || $gallery_four || $gallery_five || $gallery_six ) {
                    $gallery_args = array(
                        'post_status'    => 'publish',
                        'post_type'      => 'post',
                        'post__in'       => array( $gallery_one, $gallery_two, $gallery_three, $gallery_four, $gallery_five, $gallery_six ),
                        'orderby'        => 'post__in',
                        'posts_per_page' => 6,
                    );
                    $gallery_qry = new WP_Query( $gallery_args );

                if( $gallery_qry->have_posts() ) { ?>
                    <div class="gallery">
                        <?php while( $gallery_qry->have_posts() ) {
                            $gallery_qry->the_post();
                            ?>
                            <div class="card gallery-item">
                                <div class="image">
                                    <a href="<?php the_permalink(); ?>">
                                        <figure class="card__img post-thumbnail">
                                            <?php if ( has_post_thumbnail() ) { 
                                                the_post_thumbnail( 'homestay-collection', array('itemprop' => 'image' ) );
                                            } else {
                                                hotell_get_fallback_svg( 'homestay-collection' );
                                            } ?>
                                        </figure>
                                    </a>
                                </div>
                                <div class="card__content">
                                    <a href="<?php the_permalink(); ?>">
                                        <svg width="67" height="67" viewBox="0 0 67 67" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <circle cx="33.5" cy="33.5" r="32.83" stroke="white" stroke-width="1.34"/>
                                            <path d="M41.6212 28.086C41.6212 28.8039 41.336 29.4925 40.8283 30.0002C40.3206 30.5078 39.6321 30.793 38.9141 30.793C38.1961 30.793 37.5076 30.5078 36.9999 30.0002C36.4922 29.4925 36.207 28.8039 36.207 28.086C36.207 27.368 36.4922 26.6795 36.9999 26.1718C37.5076 25.6641 38.1961 25.3789 38.9141 25.3789C39.6321 25.3789 40.3206 25.6641 40.8283 26.1718C41.336 26.6795 41.6212 27.368 41.6212 28.086Z" fill="white"/>
                                            <path fill-rule="evenodd" clip-rule="evenodd" d="M33.4231 18.9497H33.5774C36.7027 18.9497 39.1512 18.9497 41.0624 19.2069C43.0169 19.4695 44.5599 20.019 45.7714 21.2291C46.9828 22.4405 47.531 23.9835 47.7935 25.9394C48.0507 27.8492 48.0507 30.2977 48.0507 33.4231V33.5422C48.0507 36.1261 48.0507 38.2403 47.9099 39.962C47.7692 41.6945 47.4809 43.1387 46.8339 44.3407C46.5496 44.8699 46.1977 45.345 45.7714 45.7714C44.5599 46.9828 43.0169 47.531 41.0611 47.7935C39.1512 48.0507 36.7027 48.0507 33.5774 48.0507H33.4231C30.2977 48.0507 27.8492 48.0507 25.938 47.7935C23.9835 47.531 22.4405 46.9814 21.2291 45.7714C20.1557 44.698 19.6008 43.3621 19.307 41.7026C19.016 40.0743 18.9632 38.0481 18.9524 35.5332C18.9497 34.893 18.9497 34.2162 18.9497 33.5016V33.4231C18.9497 30.2977 18.9497 27.8492 19.2069 25.938C19.4695 23.9835 20.019 22.4405 21.2291 21.2291C22.4405 20.0176 23.9835 19.4695 25.9394 19.2069C27.8492 18.9497 30.2977 18.9497 33.4231 18.9497ZM26.2087 21.2182C24.4789 21.451 23.4353 21.895 22.6652 22.6652C21.8936 23.4367 21.451 24.4789 21.2182 26.2101C20.9827 27.9697 20.98 30.2815 20.98 33.5002V34.6426L22.3349 33.4569C22.9292 32.9367 23.699 32.6618 24.4884 32.6879C25.2778 32.7141 26.0278 33.0393 26.5864 33.5977L32.393 39.4043C32.8436 39.8548 33.4387 40.132 34.0735 40.1869C34.7083 40.2419 35.3422 40.0712 35.8635 39.7048L36.2668 39.4206C37.019 38.8921 37.9282 38.6344 38.8458 38.6897C39.7634 38.745 40.635 39.1101 41.3182 39.7251L45.1487 43.1726C45.5358 42.3632 45.7646 41.2993 45.8864 39.7982C46.0191 38.1672 46.0204 36.1342 46.0204 33.5002C46.0204 30.2815 46.0177 27.9697 45.7822 26.2101C45.5494 24.4789 45.1054 23.4353 44.3353 22.6638C43.5637 21.8936 42.5215 21.451 40.7904 21.2182C39.0308 20.9827 36.7189 20.98 33.5002 20.98C30.2815 20.98 27.9683 20.9827 26.2087 21.2182Z" fill="white"/>
                                        </svg>
                                    </a>
                                </div>
                            </div>
                        <?php 
                        }
                        wp_reset_query(); ?>
                    </div>
            <?php }
                } 
            ?>
        </div>
    </section>
<?php }