<?php

/**
 * Offer Section
 *
 * @package HomeStay
 */

$offer_toggle    = get_theme_mod( 'offer_toggle', false );
$offer_repeaters = get_theme_mod( 'offer-repeater', false );

if ( $offer_toggle && $offer_repeaters ){ ?>
    <section class="offer-section">
        <div class="container">
            <div class="offer__wrapper">
                <?php foreach( $offer_repeaters as $repeater){
                  $img         = ( !empty( $repeater['offer_img'] ) && isset( $repeater['offer_img'] ) ) ? $repeater['offer_img'] : "";
                  $discount    = ( !empty( $repeater['offer_discount'] ) && isset( $repeater['offer_discount'] ) ) ? $repeater['offer_discount'] : "";
                  $suffix      = ( !empty( $repeater['offer_suffix'] ) && isset( $repeater['offer_suffix'] ) ) ? $repeater['offer_suffix'] : "";
                  $title       = ( !empty( $repeater['offer_title'] ) && isset( $repeater['offer_title'] ) ) ? $repeater['offer_title'] : "";
                  $description = ( !empty( $repeater['offer_description'] ) && isset( $repeater['offer_description'] ) ) ? $repeater['offer_description'] : "";
                  $btn_text    = ( !empty( $repeater['offer_btn_text'] ) && isset( $repeater['offer_btn_text'] ) ) ? $repeater['offer_btn_text'] : "";
                  $btn_link    = ( !empty( $repeater['offer_btn_link'] ) && isset( $repeater['$offer_btn_link'] ) ) ? $repeater['$offer_btn_link'] : "#";
                ?>
                <div class="offer__card">
                    <?php if( $img || $discount || $suffix ){ ?>
                        <div class="offer__card-top">
                            <?php 
                                if( $img ){
                                    echo wp_get_attachment_image( $img, 'homestay-offer' ); 
                                } 
                                if( $discount || $suffix ){ ?>
                                <p>
                                    <?php 
                                        echo esc_html( $discount ); 
                                        echo '<span>'. esc_html( $suffix ) .' </span>' ;
                                    ?>
                                </p>
                            <?php } ?>
                        </div>
                    <?php } if( $title || $description || ($btn_text && $btn_link) ){ ?>
                        <div class="offer__card-content">
                            <?php if( $title ){ ?>
                                <h3><?php echo esc_html( $title ); ?></h3>
                            <?php
                            }if( $description ){
                                echo wpautop( wp_kses_post( $description ) );
                            } if( $btn_text && $btn_link ){ ?>
                                <a href="<?php echo esc_url( $btn_link ); ?>" class="offer__btn"> <?php echo esc_html( $btn_text); ?> </a>
                            <?php }  ?>
                        </div>
                    <?php } ?>
                </div>
                <?php } ?>
            </div>
        </div>
    </section>
<?php }